02.06.2015 06:37    

halilozcakir
"bu bloğu alıp otomatik olarak seçtiğim çizgiye göre döndürmek" demişsiniz ya Dinamik blok ile olsa mesela ekteki gibi , olmazmı tek tek geliyor ama olsun insert ile çağırdınız mı bloğu iş tamam çizgiye göre otomatik yanaşıyor, miror okuda koydum ters yerleşirse aynalaması için...
yada 1 blok yerleştirip array path dene oda iş görür..

64792-pano.dwg

02.06.2015 16:59    

alpayelmas
evet buda olur ama seizin yuklediğiniz dwg deki 60 lık panonun benim yüklediğim 60 lık panodan farkı nedir? eğer çizimimdeki panoları hepsini sizin yuklediğinizdeki gibi yaparsam olur? Birde sadece panonun kaçlık oldugu block içinde yazmalı

03.06.2015 06:14    

halilozcakir
benim yaptığım sadece senin bloğuna dinamik blok özellikleri katmak yazıyıda ekleyip dinamik özelliğe katabiliriz ,bunu sende yapabilirsin,basit yani , blok referans noktasına, dinamik özellikleri katarken dikkatli olduk mu tamamdır, array path da iş görür. bence sitede dinamik bloğu biraz karıştır kurcala.

03.06.2015 11:26    

alpayelmas
tesekkurler ısımı hallettım cok sagolun

06.06.2015 08:25    

designer1923
öncelikle merhabalar

autocad içerisinde birden çok lispi tek bir program altından çalıştırabileceğimiz bir program varmıdır.
yani menüden program ikonuna tıklayınca bir sayfa açılır olması lazım ve içerisindede lispler olacak
böyle bir yöntem varmıdır.

08.06.2015 17:33    

designer1923
Yokmudur böyle bir yön
tem acaba

08.06.2015 20:55    

alpayelmas
Mns olusturmaya bak sitede ornekte olucak

09.06.2015 06:21    

ehya
designer1923




Raskoln senmisin?

09.06.2015 08:50    

alumina
Ta kendisi ;)

09.06.2015 18:03    

designer1923
raskoln de kim

10.06.2015 06:30    

ehya
Sitemize musallat olmuş, felak nas okumamıza rağmen bir türlü gitmeyen, sonunda çareyi banlamakta bulduğumuz, fırsat buldukça mütemadiyen lisp isteklerinde bulunan, lisp isteklerini özel mesajlarla da taciz ederek isteyen bir kişi. :)
Sürekli banlıyoruz ama hep yeni kullanıcı alıp ilk mesajı lisp isteği oluyor. Kullanıcı adı ile sisteme üye olmak için verdiği adres aynı olan bir kişi.
Şuan sizinde yapmış olduğunuz gibi ilk mesajınızda lisp isteğinde bulundunuz. Hemde raskoln'ün çok istediği bir lisp. Cevap verilmeyince aynı onun gibi ısrarla ikinci kez "kimse yokmu" dediniz. Kullanıcı adınız ile mail adresiniz aynı isimden oluşuyor. Birisi birşey dediğinde aynı onun gibi kısa cevaplar veriyorsunuz? v.s v.s v.s.

Velhasıl gel utanma. Söyle. Lisp isteklerinde bulunma ve kimseye hakaret etme. Söz bu sefer banlamak yok :)

10.06.2015 10:30    

alumina
Alıntı
designer1923 :
raskoln de kim



Ogrendin mi Raskoln kimmiş :)

10.06.2015 10:52    

Travaci
Arkadaşlar yaptığım projeleri yapan bir komut varmı ? yada bununla ilgili bir lisp yapılabilir mi ?

10.06.2015 12:13    

alumina
Alıntı
Travaci :
Arkadaşlar yaptığım projeleri yapan bir komut varmı ? yada bununla ilgili bir lisp yapılabilir mi ?



Ne tur bir sey ariyorsunuz yada ne yapmaya calisiyorsunuz? Belki sorununuzu değişik bir yoldan çözebiliriz :)

10.06.2015 13:31    

halilozcakir
merhaba arkadaşlar araya girmek gibi olmasın , geçenlerde Özkan arkadaşımız ile forumda paylaşımlarda bulunurken" target="_blank">Özkan arkadaşımız ile forumda paylaşımlarda bulunurken layerlara müdehalede layerstate ile ilgili kısa lispini paylaşmıştı , bende ondan kopya çekerek (bu arada lisp yazmak baya zevkli bişey ) altına layerları kapatan kilitleyen vb ekledim, önceleri çalışan lisp kodları ( q ve 2 ) şimdilerde çalışmıyor hata eksik yazdığım yeri bana gösterebilir misiniz. lss ao ve nn fark edeceğiniz üzre O'nun diğer q ve 2 benim uydurduğum. :) birde işlem yapılsa bile sonunda "Unknown command "2". Press F1 for help." bu uyarıyı neden alıyorum

Kod:

(defun c:lss ()
(setvar "cmdecho" 0)
(command-s "_layerstatesave")
(princ)
)
(defun c:ao () ;hersey acik ve kilitsiz
(setvar "cmdecho" 0)
(command-s "_.layer" "_thaw" "*" "")
(command-s "_.layer" "_unlock" "*" "")
(command-s "_.layer" "_on" "*" "")
(command-s "_.regenall" "")
(princ)
)

(defun C:nn ()
(setvar "cmdecho" 0)
(layerstate-restore "halil")
(command-s "_.regenall" "")
(princ)
)
(defun c:q () ;
(command-s "_.layer" "_thaw" "*" "")
(command-s "_.layer" "_off" "*" "")
(command: _layoff " )
(command-s "_.regenall" "")
(princ)
)
(defun c:2 () ;hersey kilit
(setvar "cmdecho" 0)
(command-s "_.layer" "_thaw" "*" "")
(command-s "_.layer" "_lock" "*" "")
(command-s "_.regenall" "")
(princ)
)

halilozcakir (10.06.2015 14:13 GMT)

10.06.2015 14:25    

alumina
Alıntı
halilozcakir :
merhaba arkadaşlar araya girmek gibi olmasın , geçenlerde Özkan arkadaşımız ile forumda paylaşımlarda bulunurken" target="_blank">Özkan arkadaşımız ile forumda paylaşımlarda bulunurken layerlara müdehalede layerstate ile ilgili kısa lispini paylaşmıştı , bende ondan kopya çekerek (bu arada lisp yazmak baya zevkli bişey ) altına layerları kapatan kilitleyen vb ekledim, önceleri çalışan lisp kodları ( q ve 2 ) şimdilerde çalışmıyor hata eksik yazdığım yeri bana gösterebilir misiniz. lss ao ve nn fark edeceğiniz üzre O'nun diğer q ve 2 benim uydurduğum. :) birde işlem yapılsa bile sonunda "Unknown command "2". Press F1 for help." bu uyarıyı neden alıyorum

Kod:

(defun c:q1 (/)
  (setvar "cmdecho" 0)
  (command-s "_.layer" "_off" "*" "" "")
  (command-s "_.regenall")
  (princ)
)

(defun c:q2 (/)
  (setvar "cmdecho" 0)
  (command-s "_.layer" "_lock" "*" "")
  (command-s "_.regenall")
  (princ)
)

10.06.2015 17:19    

designer1923
benim sadece öğrenmek istediğim elimde birkaç tane lisp var bu lispler kalabalık oluşturmasın diye tek çatı altında toplamak daha mantıklı geldi mesela autocad içerisinde yazılmış bir progamcık olsa ona tıklayınca açılan sayfada bendeki lispler görünse oradan çalıştırmak daha iyi olur düşüncesindeyim kalabalık menünün de önüne geçmiş olurum diye düşündüm
daha sonra o programa lisp eklemek zorunda olursam ekleyebileceğim kolay bir yolu olmalı

10.06.2015 18:12    

alumina
Raskoln;
Adam sana felak diyor, nas diyor, okuduk ufledik ama kurtulamadik diyor, yetmedi yakinda siteye kursun döktürme moduna geldik diyor ama sen hala programcık diyorsun ya. Yok lisp misp falan.
Sorunun cevabina gelince;
%90 ini bu sitede illallah ettirerek yazdirdigin lispleri, "c:/Program Files/Autodesk/AutoCAD 2013/Support/" klasorunun icine tekrardan LISP diye bir klasör acip, bu klasörün icine at. Sonra autocad den "appload" komutunu calistir ve Contents butonuna tikla ve ardindan gelen penceredeki Add butonuna tikla. Sonra yukardaki dizin yolundan o lisplere ulas ve hepsini seçerek Ac de ve en sonunda Close ile cik. Autocad i acip kapatinca o lisplerin hepsi kullanılabilir durumda olacaktır ve her seferinde bir daha bir daha yüklemek zorunda kalmayip burada PROGRAMCIK aramayacaksin.
Ayrica;
50 tane kullanici adiyla giriş yapsan bile aninda tanindigini, hatta yuzunu hic gormedigimiz halde bir gun yolda karsilasirsak seni direk taniyacagimizi sakin unutma :)

10.06.2015 19:21    

designer1923
ne dediğini anlamıyorum raskoln kim sen kimsin ya
bu ne labalilik siteye her gelene böylemi yapıyorsunuz.

22.06.2015 21:26    

tuyluoglu
Selamlar Arkadaşlar

Eksantrik redüksiyon açılımını yapabilecek bir Lisp
İhtiyacım var

Büyük Çap
Küçük Çap
Eksantrik (merkezler arasındaki kaçıklık)
ve Yükseklik

İlginize Şimdiden Çok Teşekkür Ederim:)

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] > 65 < [70] [75] [80] [85] [90] [95] [100] Sonraki Sayfa
Copyright © 2004-2022 SQL: 1.431 saniye - Sorgu: 100 - Ortalama: 0.01431 saniye